{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/domainStuff.js" %}'></script>
    <div class="w3-row">
        <div class="">
            <div class="w3-bar w3-light-grey">
                <a class="w3-button w3-blue"  style='text-decoration: none;' nohref=""><i class="fas fa-globe fa-lg"></i> {% trans 'Domains' %} </a>
                <a class="w3-button w3-blue"  style='text-decoration: none;' href="/manage"><i class="fas fa-reply-all fa-lg "></i> {% trans 'Back to Manage' %}</i></a>
            </div> 
            
            <div class='tab' id='domains'>
                    <div class="w3-responsive">
                        <table class="w3-table-all">
                        <tr class="w3-blue">
                            <th>{% trans 'Displayname' %}</th>
                            <th>{% trans 'AuthServer' %}</th>
                            <th>{% trans 'StoreServer' %}</th>
                            <th></th>
                            <th></th>
                        </tr>
                                               
                        {% for domain in Domains %}
                            <tr>
                                <td> {{ domain.displayname }} </td>
                                <td> {{ domain.authServer }} </td>
                                <td> {{ domain.storeServer }} </td>
                                <td>  <a href="javascript:editDomain('{{ domain.uuid }}', '{{ token }}')" title="{% trans 'Edit' %}"> <i class="far fa-edit fa-lg"></i></a></td>
                                <td> 
                                    {% if domain.displayname != "global.virt" %}
                                        <a href="/manage/domains/delete/{{ domain.uuid }}" title="{% trans 'Delete' %}"> <i class="fas fa-trash fa-lg" style="color: red;" ></i><a>
                                    {% endif %}        
                                </td>
                            </tr>    
                        {% endfor %}
                        <tr>
                            <td colspan='5'>
                                <button class="w3-button w3-green w3-round-large" onclick="document.getElementById('addDomain').style.display='block'">  <i class="fas fa-plus-circle fa-lg"></i> {% trans 'addDomain' %} </button>
                            </td>
                        </tr> 
                        </table>
                    </div>
                </div>
        </div>
    </div>
    
    <!-- Add New Domain -->
    <div id="addDomain" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelAddDomain()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form enctype="multipart/form-data" class="w3-container" method="POST" action="/manage/domains/add">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'Displayname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Server Pretty Name" name="displayname" required>
          
            <label><b>{% trans 'AuthServer' %}</b></label>
            <select class="w3-select w3-border w3-margin-bottom" name='authserver' id='authserver'>
                <option value='0'> {% trans 'Choose' %}</option>
                {% for auth in authServers %}
                   <option value='{{ auth.uuid }}'> {{ auth.displayname }} </option>                
                {% endfor %}

            </select>
          
            <label><b>{% trans 'StoreServer' %}</b></label>
            <select class="w3-select w3-border w3-margin-bottom" name='storeserver' id='storeserver'>
                <option value='0'> {% trans 'Choose' %}</option>
                {% for store in storeServers %}
                   <option value='{{ store.uuid }}'> {{ store.displayname }} </option>                
                {% endfor %}
            </select>
          
            <label><b>{% trans 'Logo' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="file" id='logo' name="logo">
            
            <label><b>{% trans 'cepdTreshold' %} ({% trans 'years' %})</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="number" name="cepdTreshold" value="5" style="width:10%" min="1" max="5" > 
            
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelAddDomain()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 
    
    
    
    <!-- Edit existing Domain -->
        <div id="editDomain" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelEditDomain()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form  enctype="multipart/form-data" class="w3-container"  method="POST"  action="/manage/domains/update">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'Displayname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text" id="editDisplayname"  name="displayname" value='' required>
          
            <label><b>{% trans 'AuthServer' %}</b></label>
            <select class="w3-select w3-border w3-margin-bottom" name='authserver' id='editAuthserver'>
                <option value='0'> {% trans 'Choose' %}</option>
                {% for auth in authServers %}
                   <option value='{{ auth.uuid }}'> {{ auth.displayname }} </option>                
                {% endfor %}

            </select>
          
            <label><b>{% trans 'StoreServer' %}</b></label>
            <select class="w3-select w3-border w3-margin-bottom" name='storeserver' id='editStoreserver'>
                <option value='0'> {% trans 'Choose' %}</option>
                {% for store in storeServers %}
                   <option value='{{ store.uuid }}'> {{ store.displayname }} </option>                
                {% endfor %}
            </select>
          
          
            <label><b>{% trans 'Logo' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="file" id='logo' name="logo">
  
            <label><b>{% trans 'cepdTreshold' %} ({% trans 'years' %})</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="number" name="cepdTreshold" id='editCepdTreshold' value="{{ cepdTreshold|default:5 }}" style="width:10%" min="1" max="5" > 
  
            <input class="w3-input w3-border " type="hidden"  name='uuid' id='uuid' value=''>
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelEditDomain()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 
    
    
{% endblock %}
